Name:		algobox
Version:	1.0.3
Release:	%mkrel 2
Summary:	Algorithmic software
License:	GPLv2
Group:		Education
Url:		http://www.xm1math.net/algobox/
Source:		http://www.xm1math.net/algobox/%{name}-%{version}.tar.bz2
Patch0:		algobox-1.0.1-mga-fix-desktop-and-svg-install.patch

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
Algobox is an initiation software to algorithmic to high school level.


%prep
%setup -q
%autopatch -p1

%build
%qmake_qt5 %{name}.pro
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc utilities/{AUTHORS,CHANGELOG.txt}
%license utilities/COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime/packages/x-%{name}.xml


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 1.0.3-2.mga8
+ Revision: 1658129
- Rebuild for new Qt5

* Thu Mar 26 2020 daviddavid <daviddavid> 1.0.3-1.mga8
+ Revision: 1560780
- new version: 1.0.3

* Sat Feb 15 2020 umeabot <umeabot> 1.0.2-5.mga8
+ Revision: 1524405
- Mageia 8 Mass Rebuild

* Fri Mar 29 2019 umeabot <umeabot> 1.0.2-4.mga7
+ Revision: 1381226
- Qt5 Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.2-3.mga7
+ Revision: 1294281
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 daviddavid <daviddavid> 1.0.2-2.mga7
+ Revision: 1233754
- add patch to fix build with new Qt5 >= 5.11.0

* Fri Aug 18 2017 daviddavid <daviddavid> 1.0.2-1.mga7
+ Revision: 1141445
- new version: 1.0.2

* Wed Aug 02 2017 daviddavid <daviddavid> 1.0.1-2.mga7
+ Revision: 1133964
- do not build on armv5tl as of missing webengine5

* Wed Aug 02 2017 daviddavid <daviddavid> 1.0.1-1.mga7
+ Revision: 1133951
- new version: 1.0.1
- split out all Qt5 BRs

* Fri Feb 05 2016 umeabot <umeabot> 0.9-4.mga6
+ Revision: 936769
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9-3.mga5
+ Revision: 749370
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9-2.mga5
+ Revision: 677733
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 daviddavid <daviddavid> 0.9-1.mga5
+ Revision: 669060
- new version: 0.9

* Thu Feb 20 2014 david-david <david-david> 0.8-2.mga5
+ Revision: 595177
- switch to Qt5 builder (source package allows it)
- add BR (Qt5WebKitWidgets)

* Tue Feb 18 2014 david-david <david-david> 0.8-1.mga5
+ Revision: 594440
- imported package algobox

